Get Clinic and Doctor details
Overview
The Get Clinic and Doctor Details API provides a comprehensive list of clinics and doctors associated with those clinics for a business. This API is designed to retrieve detailed information about clinics, the doctors working at each clinic, and the overarching business entity.
Endpoint
URL: {{HOST}}/dr/v1/business/entities
Method: GET
Request Parameters
This endpoint does not require any parameters. The auth header contains business-id information which will be used to fetch the details.
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| status | integer | HTTP status code of the response |
| data | object | Response data object |
| data.clinics | array | List of clinic objects |
| data.clinics[].clinic_id | string | Unique identifier of the clinic |
| data.clinics[].name | string | Name of the clinic |
| data.clinics[].doctors | array | List of doctor IDs associated with the clinic |
| data.doctors | array | List of doctor objects |
| data.doctors[].name | string | Name of the doctor |
| data.doctors[].doctor_id | string | Unique identifier of the doctor |
| data.business | object | Details of the business entity |
| data.business.business_id | string | Unique identifier of the business |
| data.business.name | string | Name of the business |
Headers
The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"
Response
OK
The response is of type string.

